{ config, pkgs, ... }:

{
    imports = [
        (import ./modules/zsh.nix {inherit config pkgs;})
    ];

    home.stateVersion = "24.11";
    targets.genericLinux.enable = true;
    nixpkgs.config.allowUnfree = true;

    home.packages = with pkgs; [
        htop
    ];

    programs.bash.enable = true;
    programs.home-manager.enable = true;
    programs.neovim = {
        enable = true;
        viAlias = true;
        vimAlias = true;
        defaultEditor = true;
    };

    programs.git = {
        enable = true;
        userName = "Thomas Avé";
        userEmail = "email@thomasave.be";
    };

    home.sessionVariables = {
        EDITOR = "nvim";
        LD_LIBRARY_PATH = "${pkgs.stdenv.cc.cc.lib}/lib";
    };
}
