{ config, pkgs, ... }:

{
    home.packages = with pkgs; [
        htop
    ];

    programs.zsh = {
        enable = true;
        enableCompletion = true;
        syntaxHighlighting.enable = true;

        shellAliases = {
            ll = "ls -lhat";
        };
        history.size = 10000;
        history.path = "${config.xdg.dataHome}/zsh/history";
    };
}
